@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700;800;900&family=Ubuntu&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  overflow-x: hidden;
}

body{
  overflow-x: hidden;
}

.container {
  margin: 0 auto;
  background-color: var(--background);
}

.header {
  background-color: var(--background);
  padding: 0.5rem 1rem;
  font-family: "Ubuntu", sans-serif;
  color: var(--text-primary);
  box-shadow: var(--shadow);
}

.bank-logo {
  width: 50px;
}

.social-icon {
  margin-left: 2.5rem;
}

li {
  font-weight: bold;
}

.fa-brands {
  margin-left: 15px;
}

.mobile-navbar{
  display: none;
}

.mobile-icon{
  color: var(--text-primary);
}

.mobile-icon[name='close-bar']{
  display: none;
}

/* main section */
main {
  font-family: "Poppins", sans-serif;
}
.carousel-section {
  height: 550px;
  position: relative;
  overflow: hidden;
}

.slide-img {
  position: absolute;
  transition: 1s;
  width: 100%;
  height: 550px;
}

.img-1 {
  background-image: url("../images/img-1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  object-fit: cover;
}
.img-2 {
  background-image: url("../images/img-2.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}
.img-3 {
  background-image: url("../images/img-3.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

/* buttons */
.btn-slide {
  position: absolute;
  z-index: 11;
  cursor: pointer;
}
.btn-prev {
  left: 10px;
  top: 240px;
}
.btn-next {
  right: 10px;
  top: 240px;
}

.btn-learn {
  width: 11rem;
  font-size: 1.1rem;
  letter-spacing: 2px;
  background: transparent;
  border: 3px solid var(--btn);
  transition: all 0.3s linear;
}

.btn-bottom{
  position: absolute;
  bottom: 35px;
}

.btn-learn:hover {
  background-color: var(--background);
  color: black;
}

.btn-business{
  margin-top: 3rem;
  background-color: var(--btn);
}

.slider-container {
  width: 100%;
  height: 550px;
  position: absolute;
  z-index: 10;
  padding: 5rem 10rem;
  background-color: rgba(2, 25, 69, 0.622);
}

.slider-container h1 {
  font-size: 4.6875rem;
  line-height: 1.1em;
  padding-bottom: 10px;
  font-weight: 600;
  color: var(--background);
}

br {
  margin: 0;
  padding: 0;
}

.slider-container p {
  font-size: 1.5rem;
  line-height: 1.3;
  margin-bottom: 0;
  margin-top: 0;
  letter-spacing: 0.68px;
  color: var(--background);
}

.title {
  text-align: center;
  font-weight: 600;
  font-size: 3rem;
  letter-spacing: 0.68px;
  line-height: 75px;
  color: var(--text-primary);
}

/* cards */
.cards-section {
  padding: 1rem 3rem;
  background-color: var(--background);
}

.cards-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  background-color: transparent;
  padding: 20px;
  column-gap: 15px;
  row-gap: 15px;
}

.cards-container .card {
  background-color: var(--background);
  padding: 2rem;
  border-radius: 5px;
  transition: all 0.3s linear;
}

.cards-container .card:hover {
  box-shadow: var(--shadow);
  background-color: white;
}

.card .card-img i {
  color: var(--btn);
}

.card .card-content {
  margin-top: 10px;
  text-align: center;
}

.card .card-content h3 {
  font-weight: 700;
  font-size: 1.5rem;
  color: var(--text-primary);
  position: relative;
}

/* .card .card-content h3::after {
  position: absolute;
  content: "";
  background-color: var(--btn);
  height: 3px;
  width: 30px;
  top: 37px;
  left: 130px;
  margin-top: 5px;
} */

.card .card-content p,
.card-text {
  color: var(--text-secondary);
  padding-top: 0.5rem;
  margin-top: 10px;
  line-height: 1.6rem;
}

/* business */
.business-section {
  padding: 1rem 3rem;
  background-color: var(--background);
  margin-bottom: 1rem;
}

.card-business {
  justify-content: space-between;
  margin-top: 1rem;
  background-color: var(--background);
  padding: 1rem 2rem;
}

.card-business .card-left {
  width: 50%;
}

.card-business .card-left img {
  width: 100%;
}

.card-business .card-right {
  width: 50%;
  padding-left: 2rem;
  row-gap: 15px;
}

.card-right h2 {
  font-size: 2.8rem;
  line-height: 1.2;
  text-align: left;
}

/* footer */
.footer-section{
  font-family: "Poppins", sans-serif;
  background-color: var(--text-primary);
  height: 15vh;
  justify-content: center;
  align-items: center;
}

.footer-section p{
  font-size: 1.5rem;
  color: var(--background);
  text-align: center;
  margin-bottom: 10px;
}

.footer-section .social-icon {
  margin-left: -20px;
}

.footer-section .social-icon .icon{
  /* margin-left: 2rem; */
  color: var(--background);
}

@media (min-width: 868px){
  .btn-bottom{
    bottom: 25px;
  }
}

@media (max-width: 768px) {
  .carousel-section, .slide-img, .slider-container{
    height: 500px;
  }
  .slider-container {
    padding: 4rem 6rem;
  }
  .slider-container h1{
    font-size: 4rem;
  }
  .slider-container p{
    font-size: .9rem;
  }
  .title {
    font-weight: 600;
    font-size: 1.5rem;
  }
  .btn{
    padding: 10px 15px;
  }
  .btn-business{
    margin-top: 0;
  }
  .btn-slide i{
    font-size: 20px;
  }
  .card-business{
    flex-direction: column;
    padding: 0;
  }
  .business-title{
    font-size: 2rem;
  }
  .card-business .card-left{
    width: 100%;
    margin-bottom: 10px;
  }
  .card-business .card-right{
    width: 100%;
    padding-left: 0;
  }
  .cards-section{
    padding: 0;
  }
  .cards-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 604px) {
  .social-icon{
    display: none;
  }
  .footer-icon{
    display: block;
  }
  .bank-logo{
    z-index: 1000;
  }
  .mobile-navbar{
    display: block;
    cursor: pointer;
    z-index: 1000;
  }
  .header{
    position: relative;
  }
  .nav-tabs{
    width: 100%;
    height: 566px;
    position: absolute;
    background-color: var(--background);
    left: 0;
    top: 0px;
    z-index: 100;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 25px;
    font-size: 2rem;
    transform: translateX(100%);
    transition: all 0.3s linear;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
  }
  .nav-tabs li{
    margin-bottom: 1.2rem;
  }
  .active{
    transform: translateX(0%);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }
  .active+.mobile-navbar .mobile-icon[name='open-bar']{
    display: none;
  }
  .active+.mobile-navbar .mobile-icon[name='close-bar']{
    display: block;
  }
  .carousel-section, .slide-img, .slider-container{
    height: 500px;
  }
  .slider-container {
    padding: 4rem 6rem;
  }
  .slider-container h1{
    font-size: 2rem;
  }
  .slider-container p{
    font-size: .9rem;
  }
  .title {
    font-weight: 600;
    font-size: 1.5rem;
  }
  .btn{
    padding: 10px 15px;
  }
  .btn-business{
    margin-top: 0;
  }
  .btn-slide i{
    font-size: 20px;
  }
  .card-business{
    flex-direction: column;
    padding: 0;
  }
  .business-title{
    font-size: 2rem;
  }
  .card-business .card-left{
    width: 100%;
    margin-bottom: 10px;
  }
  .card-business .card-right{
    width: 100%;
    padding-left: 0;
  }
  .cards-section{
    padding: 0;
  }
  .cards-container {
    grid-template-columns: repeat(1, 1fr);
  }
}
